aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-10 12:53:37 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-10 12:53:37 -0400
commit15c2e40417924cd842bf3757408a784ea3e84cb1 (patch)
treeb389b3272a348721ca31f9733f81a7c593328ebf
parenta0b59f41892288fef3f011d8e4ff2b4edc7404aa (diff)
try setting TMPDIR for collect2 to not use C:\Windows
-rw-r--r--Build/EvilLinker.hs2
-rwxr-xr-xstandalone/windows/build.sh4
2 files changed, 5 insertions, 1 deletions
diff --git a/Build/EvilLinker.hs b/Build/EvilLinker.hs
index a49c37a92..9dbd2c4c6 100644
--- a/Build/EvilLinker.hs
+++ b/Build/EvilLinker.hs
@@ -123,7 +123,7 @@ runAtFile p s f extraparams = do
when (null $ opts c) $
error $ "failed to find any options for " ++ f ++ " in >>>" ++ s ++ "<<<"
writeFile f (opts c)
- print "in file: >>>" ++ (opts c) ++ "<<<"
+ print $ "in file: >>>" ++ (opts c) ++ "<<<"
out <- getOutput (cmd c) (atFile f:extraparams) (env c)
removeFile f
return out
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index e6f7b7e9e..e7f0069b5 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -20,6 +20,10 @@ withcyg () {
# This tells git-annex where to upgrade itself from.
UPGRADE_LOCATION=http://downloads.kitenet.net/git-annex/windows/current/git-annex-installer.exe
+mkdir tmp || true
+TMPDIR=tmp
+export TMPDIR
+
# Uncomment to get rid of cabal installed libraries.
#rm -rf /c/Users/jenkins/AppData/Roaming/cabal /c/Users/jenkins/AppData/Roaming/ghc